"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var component_bootstrap_1 = require("@victorequena22/component-bootstrap");
var react_bootstrap_1 = require("react-bootstrap");
var react_1 = tslib_1.__importDefault(require("react"));
var Card_1 = tslib_1.__importDefault(require("./Card"));
var CardBuscadorAvanzado = /** @class */ (function (_super) {
    tslib_1.__extends(CardBuscadorAvanzado, _super);
    function CardBuscadorAvanzado(p) {
        var _this = _super.call(this, p) || this;
        _this.permiso = '';
        _this.Avansado = _this.Avansado.bind(_this);
        return _this;
    }
    CardBuscadorAvanzado.prototype.Avansado = function () {
        return react_1.default.createElement(react_1.default.Fragment, null);
    };
    CardBuscadorAvanzado.prototype.render = function () {
        var _a = this, Body = _a.Body, Buscador = _a.Buscador, Avansado = _a.Avansado, Title = _a.Title;
        return (react_1.default.createElement(react_bootstrap_1.Card, { as: react_bootstrap_1.Accordion },
            react_1.default.createElement(react_bootstrap_1.Card.Header, { className: 'bg-info d-flex' },
                react_1.default.createElement(Title, null)),
            react_1.default.createElement(react_bootstrap_1.Card.Body, null,
                react_1.default.createElement(Buscador, null),
                react_1.default.createElement(react_bootstrap_1.Accordion.Collapse, { eventKey: '0' },
                    react_1.default.createElement(react_bootstrap_1.Card, null,
                        react_1.default.createElement(react_bootstrap_1.Card.Body, null,
                            react_1.default.createElement(Avansado, null)))),
                react_1.default.createElement(react_bootstrap_1.Col, { md: 12 },
                    react_1.default.createElement(Body, null)))));
    };
    CardBuscadorAvanzado.prototype.Buscador = function () {
        var _this = this;
        return (react_1.default.createElement(react_bootstrap_1.Row, { className: 'd-flex', style: { paddingBottom: '15px' } },
            react_1.default.createElement(react_bootstrap_1.Col, { md: 9, className: 'mr-auto' },
                react_1.default.createElement(react_bootstrap_1.InputGroup, null,
                    react_1.default.createElement(react_bootstrap_1.InputGroup.Prepend, null,
                        react_1.default.createElement(react_bootstrap_1.InputGroup.Text, null, this.buscarLabel)),
                    react_1.default.createElement(component_bootstrap_1.InputText, { name: 'buscar', upper: true, setData: this.setState, update: 'buscar', value: this.state.buscar }),
                    react_1.default.createElement(react_bootstrap_1.InputGroup.Append, null,
                        react_1.default.createElement(react_bootstrap_1.Button, { variant: 'primary' },
                            react_1.default.createElement("i", { className: 'fa fa-search' }),
                            " BUSCAR"),
                        react_1.default.createElement(react_bootstrap_1.Button, { as: react_bootstrap_1.Accordion.Toggle, eventKey: '0', variant: 'default', "data-tip": 'BUSQUEDA DETALLADA', onClick: function () {
                                _this.setState({ open: !_this.state.open });
                            } },
                            react_1.default.createElement("i", { className: 'fa fa-wrench' }),
                            " DETALLADO"))))));
    };
    return CardBuscadorAvanzado;
}(Card_1.default));
exports.default = CardBuscadorAvanzado;
//# sourceMappingURL=Avanzado.js.map