"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Tabla_1 = tslib_1.__importDefault(require("../Tabla"));
var component_bootstrap_1 = require("@victorequena22/component-bootstrap");
var react_bootstrap_1 = require("react-bootstrap");
var react_1 = tslib_1.__importDefault(require("react"));
var CardBuscador = /** @class */ (function (_super) {
    tslib_1.__extends(CardBuscador, _super);
    function CardBuscador(p) {
        var _this = _super.call(this, p) || this;
        _this.permiso = '';
        _this.Title = _this.Title.bind(_this);
        return _this;
    }
    CardBuscador.prototype.Title = function () {
        var _this = this;
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(react_bootstrap_1.Button, { className: 'float-right', onClick: function () {
                    _this.setState({ modal: true });
                } },
                ' ',
                react_1.default.createElement("i", { className: 'fa fa-edit' }),
                " NUEVO")));
    };
    CardBuscador.prototype.render = function () {
        var _a = this, Body = _a.Body, Buscador = _a.Buscador, Title = _a.Title;
        return (react_1.default.createElement(react_bootstrap_1.Card, null,
            react_1.default.createElement(react_bootstrap_1.Card.Header, { className: 'bg-info d-flex' },
                react_1.default.createElement(Title, null)),
            react_1.default.createElement(react_bootstrap_1.Card.Body, null,
                react_1.default.createElement(Buscador, null),
                react_1.default.createElement(react_bootstrap_1.Col, { md: 12 },
                    react_1.default.createElement(Body, null)))));
    };
    CardBuscador.prototype.Buscador = function () {
        return (react_1.default.createElement(react_bootstrap_1.Row, { className: 'd-flex', style: { paddingBottom: '15px' } },
            react_1.default.createElement(react_bootstrap_1.Col, { md: 9, className: 'mr-auto' },
                react_1.default.createElement(react_bootstrap_1.InputGroup, null,
                    react_1.default.createElement(react_bootstrap_1.InputGroup.Prepend, null,
                        react_1.default.createElement(react_bootstrap_1.InputGroup.Text, null, this.buscarLabel)),
                    react_1.default.createElement(component_bootstrap_1.InputText, { name: 'buscar', upper: true, setData: this.setState, update: 'buscar', value: this.state.buscar }),
                    react_1.default.createElement(react_bootstrap_1.InputGroup.Append, null,
                        react_1.default.createElement(react_bootstrap_1.Button, { variant: 'primary' },
                            react_1.default.createElement("i", { className: 'fa fa-search' }),
                            " BUSCAR"))))));
    };
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    CardBuscador.prototype.set = function () { };
    CardBuscador.prototype.componentDidMount = function () {
        this.set();
    };
    return CardBuscador;
}(Tabla_1.default));
exports.default = CardBuscador;
//# sourceMappingURL=Card.js.map