"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_bootstrap_1 = require("react-bootstrap");
function Paginacion(p) {
    if (p.length === 0)
        return react_1.default.createElement(react_1.default.Fragment, null);
    var setpage = p.setpage, length = p.length, mostrar = p.mostrar, page = p.page, total_page = Math.ceil(length / mostrar), buttons = [];
    if (page === 1) {
        buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Item, { key: 'active1', active: true }, "1"));
    }
    else {
        buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Item, { key: 'p1', onClick: setpage.bind(p, 1) }, "1"));
    }
    for (var i = 3; i > 0; i--) {
        if (page - i > 1) {
            if (i === 3) {
                buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Ellipsis, { key: 'Ellipsis1' }));
            }
            else {
                buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Item, { key: 'p' + (page - i), onClick: setpage.bind(p, page - i) }, page - i));
            }
        }
    }
    if (total_page > page && page > 1) {
        buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Item, { active: true }, page));
    }
    for (var i = 1; i < 4; i++) {
        if (page + i < total_page) {
            if (i === 3) {
                buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Ellipsis, { key: 'Ellipsis2' }));
            }
            else {
                buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Item, { key: 'p' + (page + i), onClick: setpage.bind(p, page + i) }, page + i));
            }
        }
    }
    if (page === total_page) {
        if (1 < total_page) {
            buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Item, { key: 'active' + total_page, active: true }, total_page));
        }
    }
    else {
        buttons.push(react_1.default.createElement(react_bootstrap_1.Pagination.Item, { key: 'p' + total_page, onClick: setpage.bind(p, total_page) }, total_page));
    }
    return react_1.default.createElement(react_bootstrap_1.Pagination, { style: { position: 'relative', float: 'right' } }, buttons);
}
exports.default = Paginacion;
//# sourceMappingURL=Paginacion.js.map