"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var component_bootstrap_1 = require("@victorequena22/component-bootstrap");
var react_1 = tslib_1.__importDefault(require("react"));
var react_bootstrap_1 = require("react-bootstrap");
var utiles_1 = require("@victorequena22/utiles");
var Body_1 = tslib_1.__importDefault(require("./Body"));
var Th_1 = tslib_1.__importDefault(require("./Th"));
var Tabla = /** @class */ (function (_super) {
    tslib_1.__extends(Tabla, _super);
    function Tabla(p) {
        var _this = _super.call(this, p) || this;
        _this.buscarEn = [];
        _this.fechas = [];
        _this.buscarLabel = 'BUSCAR';
        _this.col = 8;
        _this.mostar = 7;
        _this.state = {
            itens: [],
            buscar: '',
            by: 'id',
            orden: 'desc',
            modal: false,
            open: false,
            aux: false,
            dolar: false,
        };
        _this.setState = _this.setState.bind(_this);
        _this.Buscador = _this.Buscador.bind(_this);
        _this.busqueda = _this.busqueda.bind(_this);
        _this.Body = _this.Body.bind(_this);
        _this.Header = _this.Header.bind(_this);
        _this.Row = _this.Row.bind(_this);
        _this.Th = _this.Th.bind(_this);
        return _this;
    }
    Tabla.prototype.Buscador = function () {
        return (react_1.default.createElement(react_bootstrap_1.InputGroup, { style: { paddingBottom: '15px' } },
            react_1.default.createElement(react_bootstrap_1.InputGroup.Prepend, null,
                react_1.default.createElement(react_bootstrap_1.InputGroup.Text, null, this.buscarLabel)),
            react_1.default.createElement(component_bootstrap_1.InputText, { name: 'buscar', className: 'form-control', upper: true, setData: this.setState, update: 'buscar', value: this.state.buscar }),
            react_1.default.createElement(react_bootstrap_1.InputGroup.Append, null,
                react_1.default.createElement(react_bootstrap_1.Button, { variant: 'primary' },
                    react_1.default.createElement("span", { className: 'fa fa-search' }),
                    " BUSCAR"))));
    };
    Tabla.prototype.Th = function (p) {
        var _a = this, setState = _a.setState, _b = _a.state, by = _b.by, orden = _b.orden;
        return react_1.default.createElement(Th_1.default, tslib_1.__assign({}, p, { setOrden: setState, by: by, orden: orden }));
    };
    Tabla.prototype.Body = function () {
        var _a = this, col = _a.col, mostar = _a.mostar, Row = _a.Row, Header = _a.Header;
        return (react_1.default.createElement(Body_1.default, { mostrar: mostar, col: col, row: Row, itens: this.filter() },
            react_1.default.createElement(Header, null)));
    };
    Tabla.prototype.render = function () {
        var _a = this, Body = _a.Body, Buscador = _a.Buscador;
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Buscador, null),
            react_1.default.createElement(Body, null)));
    };
    Tabla.prototype.Header = function () {
        return react_1.default.createElement(react_1.default.Fragment, null);
    };
    Tabla.prototype.Row = function (p) {
        console.log(p);
        return react_1.default.createElement(react_1.default.Fragment, null);
    };
    Tabla.prototype.getItens = function () {
        return this.state.itens;
    };
    Tabla.prototype.filter = function () {
        return this.ordenar();
    };
    Tabla.prototype.busqueda = function () {
        var _a = this, buscar = _a.state.buscar, buscarEn = _a.buscarEn, fechas = _a.fechas;
        return (0, utiles_1.busqueda)(this.getItens(), buscar, buscarEn, fechas);
    };
    Tabla.prototype.ordenar = function () {
        var _a = this, _b = _a.state, by = _b.by, orden = _b.orden, busqueda = _a.busqueda, fechas = _a.fechas;
        return (0, utiles_1.ordenar)(busqueda(), by, orden, fechas);
    };
    return Tabla;
}(react_1.default.Component));
exports.default = Tabla;
//# sourceMappingURL=index.js.map